<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <ProjectType>Local</ProjectType>
    <ProductVersion>8.0.50727</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E682775C-32AF-49D1-BFBF-40E3E14C1D26}</ProjectGuid>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ApplicationIcon>
    </ApplicationIcon>
    <AssemblyKeyContainerName>
    </AssemblyKeyContainerName>
    <AssemblyName>CommunityServer.Discussions</AssemblyName>
    <AssemblyOriginatorKeyFile>
    </AssemblyOriginatorKeyFile>
    <DefaultClientScript>JScript</DefaultClientScript>
    <DefaultHTMLPageLayout>Grid</DefaultHTMLPageLayout>
    <DefaultTargetSchema>IE50</DefaultTargetSchema>
    <DelaySign>false</DelaySign>
    <OutputType>Library</OutputType>
    <RootNamespace>CommunityServer.Discussions.Components</RootNamespace>
    <RunPostBuildEvent>OnBuildSuccess</RunPostBuildEvent>
    <StartupObject>
    </StartupObject>
    <FileUpgradeFlags>
    </FileUpgradeFlags>
    <UpgradeBackupLocation>
    </UpgradeBackupLocation>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>bin\Debug\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>true</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>false</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>full</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <OutputPath>bin\Release\</OutputPath>
    <AllowUnsafeBlocks>false</AllowUnsafeBlocks>
    <BaseAddress>285212672</BaseAddress>
    <CheckForOverflowUnderflow>false</CheckForOverflowUnderflow>
    <ConfigurationOverrideFile>
    </ConfigurationOverrideFile>
    <DefineConstants>TRACE</DefineConstants>
    <DocumentationFile>
    </DocumentationFile>
    <DebugSymbols>false</DebugSymbols>
    <FileAlignment>4096</FileAlignment>
    <NoStdLib>false</NoStdLib>
    <NoWarn>
    </NoWarn>
    <Optimize>true</Optimize>
    <RegisterForComInterop>false</RegisterForComInterop>
    <RemoveIntegerChecks>false</RemoveIntegerChecks>
    <TreatWarningsAsErrors>false</TreatWarningsAsErrors>
    <WarningLevel>4</WarningLevel>
    <DebugType>none</DebugType>
    <ErrorReport>prompt</ErrorReport>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="CommunityServer.Mail.Common">
      <Name>CommunityServer.Mail.Common</Name>
      <HintPath>..\lib\CommunityServer.Mail.Common.dll</HintPath>
    </Reference>
    <Reference Include="CommunityServer.Points, Version=2.0.60118.1, Culture=neutral">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\CommunityServer.Points.dll</HintPath>
    </Reference>
    <Reference Include="ComponentArt.Web.UI, Version=2006.1.1104.2, Culture=neutral, PublicKeyToken=9bc9f846553156bb, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Framework2\ComponentArt.Web.UI.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="System">
      <Name>System</Name>
    </Reference>
    <Reference Include="System.Data">
      <Name>System.Data</Name>
    </Reference>
    <Reference Include="System.Drawing">
      <Name>System.Drawing</Name>
    </Reference>
    <Reference Include="System.Web">
      <Name>System.Web</Name>
    </Reference>
    <Reference Include="System.Web.Services">
      <Name>System.Web.Services</Name>
    </Reference>
    <Reference Include="System.Xml">
      <Name>System.XML</Name>
    </Reference>
    <Reference Include="Telligent.Registration">
      <Name>Telligent.Registration</Name>
      <HintPath>..\lib\Telligent.Registration.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Telligent.Web.UI, Version=1.0.1.0, Culture=neutral">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\lib\Telligent.Web.UI.dll</HintPath>
    </Reference>
    <ProjectReference Include="..\Components\CommunityServerComponents20.csproj">
      <Name>CommunityServerComponents</Name>
      <Project>{A4BA7D45-2288-4690-9629-2A9C2A59DB98}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
    <ProjectReference Include="..\Controls\CommunityServerControls20.csproj">
      <Name>CommunityServerControls</Name>
      <Project>{BD519F7E-B97F-479B-9A71-254DAB9DAAF6}</Project>
      <Package>{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}</Package>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="AssemblyInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="AssemblyVersionInfo.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\CollapseModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Forum.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumAttachmentSettings.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumEmails.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumFormatter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumPermission.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumPostType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumsPurgeJob.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumThreadQuery.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ForumUrls.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ModeratedForum.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ModerationAudit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ModerationQueueStatus.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\AutoApproveForumModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\BaseForumFormattedBodyModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\BBcodeToHtmlModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\CensorshipModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\EmoticonModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\HtmlScrubbingModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\IrcCommandsModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\PlainTextModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Modules\SourceCodeModule.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PostConfiguration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\PrivateMessage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\AggregateForumRssHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\AggregateForumRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\BaseForumsRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\BaseForumSyndicationHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\ForumCommentRssHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\ForumCommentRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\ForumRssHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Syndication\ForumRssWriter.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Thread.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ThreadNavigationHandler.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ThreadNavigationType.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\Threads.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Components\ThreadStatusEventArgs.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Admin\ForumDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Admin\PostModerationHistory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Admin\UserModerationHistory.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\BaseClasses\ForumDataListControl.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CreateEditPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\CreateQuickReply.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\EmailInformation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\ForumRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\DeletePost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ModerationContextMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ModerationMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ModerationPopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ModerationStats.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\QuickDeletePost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\QuickThreadJoin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\QuickThreadSplit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ThreadJoin.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ThreadMove.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ThreadsMove.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\ThreadSplit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Moderation\UserModerationCounters.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Navigation\BreadCrumb.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Navigation\JumpDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\NntpInformation.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PageTitle.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\DownloadPostAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\PollPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\PostAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\PostIconRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\PostImageButtons.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\ProgressBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\QuoteValidator.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostDisplay\TextPost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\PostPendingModeration.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Search\SearchOptions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\SortableThreadColumn.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\UI\DisplayLegendForum.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\UI\DisplayLegendThread.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\User\UserPermissions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\AggregateRssLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\BaseRssLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ChangeViewPopupMenu.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\EmailLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\EmailNotificationDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumAnchor.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumImageButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumLinkBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumListBox.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumModerators.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumPager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ForumRolloverImageButton.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\GroupCollapsableArea.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\HideReadPosts.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\InlineTagEditor.cs" />
    <Compile Include="Controls\Utility\InlineTextEdit.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\MarkAllRead.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ModerationLevelDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\MoveThreadCheckBox.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\NntpLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\PostRssLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\RatePost.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\RssLink.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\SearchFilters.cs" />
    <Compile Include="Controls\Utility\SearchForumsRadioButtonList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\SearchModeDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\StatusDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ThreadPager.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ThreadSortDropDownList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\ThreadStatusImage.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Utility\UploadAttachment.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\AggregateDiscussionRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\CalendarView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ForumGroupView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ForumMembersView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ForumSubscriptionView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\MyForumsView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostFlatPreview.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostFlatView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostModerateView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostSelectedView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostThreadedView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PostView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\PrivateMessageView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\RatingSummaryView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\SinglePostView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\SmiliesView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ThreadDataList.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ThreadRepeater.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\ThreadView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Controls\Views\WhoIsOnlineView.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ForumApplication.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ForumGroups.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="ForumPermissions.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Forums.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Moderate.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Posts.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="PrivateMessages.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Providers\ForumDataProvider.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="Utility\ForumGroupBar.cs">
      <SubType>Code</SubType>
    </Compile>
    <Compile Include="WebServices\QueueStatus.cs">
      <SubType>Code</SubType>
    </Compile>
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <PropertyGroup>
    <PreBuildEvent>
    </PreBuildEvent>
    <PostBuildEvent>
    </PostBuildEvent>
  </PropertyGroup>
</Project>